Subject: Argus Pans Service Question

From: [email-masked] (Matthew Jones)
Date: 7 Feb 1994 17:07:23 GMT

A while ago I sent off to Argus to get their catalog of Westbury's Internal
Combustion Engine plans.
They sent me back a list of the catalogs they offer but it is not clear to
me which one contains the Internal Combustion plans.  It looks as if it
is either handhook 1 or 2. Could anyone tell me which one it is.  Also 
does anyone know if they take Master Card (since I'm in the USA it makes
the currancy change much easier.).

Also in an old Argus catalog they list Whelans Models as suppliers of castings
for some of Westbury's models, but I can't find their address. Does anyone
know their address.  If they are not in business then is there a supplier of the
Kittiwake casting kit.

I would prefer responses by email. 

Matthew Jones
[email-masked] (preferred)
[email-masked]